This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 874233 - [sr@latin] Cyrillic script displayed instead of Latin script in some places
[sr@latin] Cyrillic script displayed instead of Latin script in some places
Status: CLOSED DUPLICATE of bug 1024667
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 13:38 EST by Steve Tyler
Modified: 2014-01-15 01:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 01:27:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot showing Welcome dialog with Cyrillic script (115.52 KB, image/png)
2012-11-07 13:51 EST, Steve Tyler
no flags Details
screenshot showing Installation Summary with Cyrillic script (66.70 KB, image/png)
2012-11-07 13:53 EST, Steve Tyler
no flags Details
screenshot showing Language spoke with Latin script (128.65 KB, image/png)
2012-11-07 13:55 EST, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-11-07 13:38:25 EST
Description of problem:
The languages menu in the installer's Welcome dialog lists Serbian twice -- once for Cyrillic script and once for Latin script. However, the translated string, "What language ...", is displayed with Cyrillic script when either menu item is selected. The installer also displays Cyrillic script for the language in the Language spoke link of the Installation Summary hub when either script is selected. In the Language spoke itself, the translated string, "What language ... ", is displayed with Cyrillic script or Latin script depending on which script was selected in the Welcome dialog.

Version-Release number of selected component (if applicable):
anaconda-18.26-1.fc18
Fedora-18-Beta-TC7-x86_64-Live-Desktop.iso

How reproducible:
Always.

Steps to Reproduce:
1. Start the installer.
2. In the Welcome dialog, select the second of the two Serbian language menu items.[1]
   Note that the "What language ..." string at the top is displayed with Cyrillic script.
3. Click Continue.
   Note that the language name in the Language spoke link is displayed with Cyrillic script.
4. Click the Language spoke link.
   Note that the "What language ..." string at the top is displayed with Latin script.

[1] Due to Bug 872786, both menu items have the same label: 'Serbian (Serbia)'. However, testing shows that the first item selects Cyrillic script, and the second item selects Latin script.

Actual results:
Cyrillic script is displayed:
Који језик бисте желели да користите током процеса инсталације?

Expected results:
Latin script is displayed:
"Koji jezik biste želeli da koristite tokom procesa instalacije?"

Additional info:
The English string is:
"What language would you like to use during the installation process?"

At Transifex a search for "What language" shows that the translated strings use the expected script:
https://fedora.transifex.com/projects/p/anaconda/resource/master/l/sr@latin/view/
https://fedora.transifex.com/projects/p/anaconda/resource/master/l/sr/view/

Both translations have about 27% translation coverage.
Comment 1 Steve Tyler 2012-11-07 13:51:33 EST
Created attachment 640282 [details]
screenshot showing Welcome dialog with Cyrillic script
Comment 2 Steve Tyler 2012-11-07 13:53:56 EST
Created attachment 640283 [details]
screenshot showing Installation Summary with Cyrillic script
Comment 3 Steve Tyler 2012-11-07 13:55:05 EST
Created attachment 640284 [details]
screenshot showing Language spoke with Latin script
Comment 4 Fedora End Of Life 2013-12-21 04:18:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Mike FABIAN 2014-01-15 01:27:33 EST
Same problem as bug#1024667. It is a bug in python.

I’ll close this one here as a duplicate of the newer one because
there is more information about the problem in the newer bug.

*** This bug has been marked as a duplicate of bug 1024667 ***

Note You need to log in before you can comment on or make changes to this bug.